Subject: Re: UI for 'possible' (was: Re: [lojban] Bible translation style question)

From: Invent Yourself <[email-masked]>
Date: Wed, 30 Jan 2002 17:37:21 -0500 (EST)

On Thu, 31 Jan 2002, Adam Raizen wrote:

> la xorxes. cusku di'e
>
> > la djan cusku di'e
> >
> > >People surely don't write "cumki fa le nu..." because it is
> > >short, but rather because they are calquing "It is necessary that
> ..."
> >
> > "It is _possible_ that ...". I often wished there was a UI for
> > that...
>
> The official answer, of course, is 'sei cumki'. Before anyone yells
> that it's ugly or too long, I think it should be considered. It is
> generally recognized (I think), that we *could* get by with many fewer
> cmavo for many things, such as tenses. For example 'mi ba klama le
> zarci' could be rephrased as 'le nu mi klama le zarci cu balvi'. I
> don't think that the real reason such sentences are unsatisfactory is
> that they're too long, in most cases the additional length is not so
> much. Rather, I think that it's a matter of the focus of the two
> sentences. We want to talk about a going and not about what's in the
> future. In theory, all sentences could be 'expanded' into a 'logical'
> form like this, with many additional super- and sub-sentences. Since
> that would shift the focus of discussion, we have grammatical
> shortcuts such as PU, BAI, and UI (in some cases); but since there can
> potentially be a need for this with any selbrivla that can have
> abstractions, there needs to be a general way to do it, which is
> 'sei'. Any supersentence above the sentence of focus gets packed away
> into a 'sei' clause.

You're stepping close to the heresy that certain brivla can be represented
with UI. Welcome!

What do you think of ju'ocu'i?

I think you're right that sei should be looked into more.

>
> So, in answer to the question 'what are the possibilities?' 'cumki fa
> le nu mi klama le zarci' is a good answer, but in answer to the
> question 'do you think you'll go?' 'cumki fa le nu mi klama' is
> off-focus. I would say 'sei cumki mi klama'. I guess that we could
> easily force 'cumki fa le nu mi klama' to be a statement about going,
> since all we have to do is ignore the first 4 words, but I would
> prefer to use the structure that is meant, without glorking.
>
> I had been avoiding 'sei' because of its use in quotation to mark who
> said something, but I think it plays too vital a function to be
> ignored in other cases, so I'll start saying 'seisa'a' in quotes in
> order to show who is quoted.
>
> Of course, one might argue that 'possible' is a common enough concept
> that it should have its own single-word UI, but that's a different
> story (and it looks like we're stuck with what we have). You could use
> just use 'ru'e' by itself if need be (supported from trivalent logic).

Why ru'e and not cu'i?

-- 
The tao that can be tar(1)ed
is not the entire Tao.
The path that can be specified
is not the Full Path.